curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"result_histories": [
{
"status": "passed",
"duration": 3.21,
"started_at": "2026-06-27T09:14:25.000Z",
"run_id": "kftwnab",
"run": {
"commit_name": "Fix flaky checkout spec",
"branch": "main",
"author": "Oliver Smith",
"tags": [
"nightly"
],
"commit_id": "9fceb02e1d2c4bb6a1f3f6b0c8e7d5a1b2c3d4e5",
"ci_build_id": "gh-actions-4821",
"duration": 182.45,
"status": "passed"
}
}
]
}List result histories
List the historical results of a test entity across previous runs within a look-back window.
curl --request GET \
--url https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoplaydash.com/api/external/v1/projects/{project_id}/runs/{run_id}/test_entities/{test_entity_id}/result_histories"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text){
"result_histories": [
{
"status": "passed",
"duration": 3.21,
"started_at": "2026-06-27T09:14:25.000Z",
"run_id": "kftwnab",
"run": {
"commit_name": "Fix flaky checkout spec",
"branch": "main",
"author": "Oliver Smith",
"tags": [
"nightly"
],
"commit_id": "9fceb02e1d2c4bb6a1f3f6b0c8e7d5a1b2c3d4e5",
"ci_build_id": "gh-actions-4821",
"duration": 182.45,
"status": "passed"
}
}
]
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
application/json Path Parameters
Id of the project. You can get project_id by listing your projects using the List projects API.
"pdqmxlz"
Id of the test entity (a spec or a test). You can get test_entity_id by listing test entities using the List test entities API.
"vhrscje"
Query Parameters
Number of days to look back from the anchor date. Defaults to 7.
14
Anchor date (ISO 8601) to look back from. Defaults to the latest result of the test entity in this run.
"2026-06-28T00:00:00.000Z"
Response
OK - Request succeeded
Hide child attributes
Hide child attributes
Status of the test entity in this historical run.
"passed"
Duration of the test entity in this run, in seconds.
3.21
Time at which this result started.
"2026-06-27T09:14:25.000Z"
Unique identifier of the run this result belongs to.
"kftwnab"
Hide child attributes
Hide child attributes
Commit message associated with the run.
"Fix flaky checkout spec"
Branch the run was executed on.
"main"
Author of the commit.
"Oliver Smith"
["nightly"]
SHA of the commit.
"9fceb02e1d2c4bb6a1f3f6b0c8e7d5a1b2c3d4e5"
Identifier of the CI build that reported the run.
"gh-actions-4821"
Total duration of the run in seconds.
182.45
Status of the run.
"passed"